"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Object subclass:#Change
	instanceVariableNames:'source'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!

!Change class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    abstract superclass for all kind of changes - managed in changeSets.

    [author:]
        Claus Gittinger
"
! !

!Change methodsFor:'accessing'!

className
    "the className of the change"

    ^ nil

    "Modified: / 15.7.1996 / 09:26:34 / cg"
    "Created: / 6.2.1998 / 13:06:56 / cg"
!

selector
    ^ nil

    "Created: / 6.2.1998 / 13:29:35 / cg"
! !

!Change methodsFor:'printing & storing'!

printStringWithoutClass
    |s|

    s := '' writeStream.
    self printWithoutClassOn:s.
    ^ s contents


!

printWithoutClassOn:aStream
    self printOn:aStream


! !

!Change methodsFor:'queries'!

isClassCommentChange
    ^ false

    "Created: / 7.2.1998 / 19:26:50 / cg"
!

isClassDefinitionChange
    ^ false

    "Created: / 7.2.1998 / 19:26:50 / cg"
!

isDoIt
    ^ false

    "Created: / 7.2.1998 / 19:26:50 / cg"
!

isMethodChange
    ^ false

    "Created: / 7.2.1998 / 19:26:50 / cg"
! !

!Change methodsFor:'source'!

source
    "return the source of the change"

    ^ source

    "Modified: 15.7.1996 / 09:26:34 / cg"
!

source:someString
    "set the source of the change"

    source := someString

    "Modified: / 15.7.1996 / 09:26:34 / cg"
    "Created: / 16.2.1998 / 13:05:16 / cg"
! !

!Change class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/Change.st,v 1.19 1999-07-05 21:53:15 cg Exp $'
! !
